あれこれ備忘録@はてなブログ

勉強したことやニュースや出来事を備忘録として書いていきます

Puppy Linuxでapt-getを使う その5

scim-mozcをインストール中、以下のエラーで止まってしまいました。

E: Could not perform immediate configuration on 'libattr1'.Please see man 5 apt.conf under APT::Immediate-Configure for details. (2)

ネットで調べたのですがわからないので、

apt-get install libattr1*

でいろいろインストールしてみることに。

しかし、やっぱり同じエラーがでるのでおとなしくエラーにかかれてあるように

man 5 apt.conf

でapt.confの説明を読むことに。

英語ですが

apt.confの設定にちょっと危険なオプションImmediate-Configureを加えてみることに。

APT

{

Get

{

Immediate-Configure "true";

}

};

とやってみたが、失敗。

たぶん、書き方が間違えているんだろうとAPT::Immediate-Configureで検索。

http://ja.favstar.fm/users/tom_go

-o APT::Immediate-Configure=0

というオプションをapt-getにつけられることが書いてあったのでつけてみました。

すると、エラーがかわり

E: Couldn't configure pre-depend perl-base for liblocale-gettext-perl, probably a dependency cycle.

とりあえず、apt.confでAPT::Immediate-Configure=0と同じ設定にするには

APT

{

Immediate-Configure "0"

};

のようです。

次のエラーはこのつぎに解決してみます。

広告を非表示にする